---
layout: default
---

<div class="triangle-game">
  <!-- <img src="//assets/img/triangle/better-web-type-logo.png" alt="Better Web Type Logo" width="82px" class="bwt-logo"> -->
  <div class="triangle-intro">
    <div class="alignCenter floatCenter tagline"><em>The Equilateral Triangle of a</em></div>
    <h1 class="alignCenter">Perfect Paragraph</h1>
    <h3 class="alignCenter">A web typography learning&nbsp;game</h3>
  </div>
  <section class="Grid Grid--gutter-xl">
    <div class="Grid-cell--xs-12 alignCenter floatCenter">
      <hr class="floatCenter first_hr">
      <h2>What is this?</h2>
    </div>
  </section>
  <article>
    <section class="Grid Grid--gutter-xl">
      <div class="Grid-cell--xs-12">
        <p class="floatCenter"><span class="dropcap">T</span>he Equilateral Triangle of a Perfect Paragraph is a theory
          developed by <a href="http://matejlatin.co.uk" target="_blank">Matej Latin</a> in the <a href="/"
            target="_blank">Better Web Type</a> course about web typography for web designers and web developers. Too
          many of them still set line-height, font size and line width as independent features when in fact they should
          all be considered together. The equilateral triangle is a perfect representation of how the three features
          work in harmony. The theory is explained in details in an <a
            href="https://css-tricks.com/equilateral-triangle-perfect-paragraph/" target="_blank">article on
            CSS-Tricks</a>.</p>

        <p class="floatCenter">This game elaborates on the theory and puts it into practice. Its goal is to teach you
          about the three features that need to be considered for a perfect paragraph and help you train your eye. </p>

        <img src="/assets/img/triangle/triangle-paragraph-explained.jpg" alt="Perfect paragraph triangle"
          class="triangle-examples floatCenter">

        <h2 class="alignCenter">The Equilateral Triangle</h2>

        <p class="floatCenter">In an equilateral triangle, all sides are equal. All three internal angles are also
          congruent to each other and are each 60°. Therefore, an equilateral triangle is a great representation of
          three things that are in perfect balance.</p>

        <img src="/assets/img/triangle/perfect-paragraph-triangle-line-height-font-size.jpg"
          alt="Perfect paragraph triangle font-size and line-height" class="triangle-examples floatCenter">

        <h2 class="alignCenter">Font size &amp; Line-height</h2>

        <p class="floatCenter">In this theory, font size is represented by the left side of the triangle and the
          line-height by the right side. The triangle is perfectly balanced when the ratio between the two is ideal. If
          the font is too large, the left side grows. The font is too large for the line-height or the line-height to
          small for the font size. The tipping point moves to the right side and skews the triangle.</p>
        <p class="floatCenter">Contrary, when line-height is too large the right side of the triangle grows. The font
          size is too small and the tipping point moves to the left. The further the tipping point from the center, the
          further is the ratio from being in perfect balance.</p>

        <img src="/assets/img/triangle/perfect-paragraph-triangle-line-width.jpg"
          alt="Perfect paragraph triangle line width example" class="triangle-examples floatCenter">

        <h2 class="alignCenter">Line width</h2>

        <p class="floatCenter">The width of the line is perfectly represented by the bottom side. Adjusting the line
          width changes the width of the bottom size equally on both sides, so the ratio between the font size and
          line-height doesn't get affected.</p>


      </div>
    </section>
  </article>
  <!-- <div class="block-full-width-dark group full-width-triangle-fix">
        <section class="floatCenter book-giveaway group">
          <img src="/assets/img/triangle/better-web-type-book-cover.jpg" alt="Better Web Type book cover" class="book-cover">
          <div class="book-giveaway-info no-margin">
            <h2>Get a chance to win a free <span>Better Web Type</span> book</h2>
            <em>Coming July 2017</em><br><br>
            <p class="no-margin">The higher the score, the better the chance. Follow the instructions at the end of the game to participate in the competition.</p>
          </div>
        </section>
      </div> -->
  <section class="Grid Grid--gutter-xl countdown">
    <!-- <div class="Grid-cell--xs-12">
          <p class="alignCenter floatCenter tagline"><em>Competition ends in</em></p>
          <p id="countdown" class="cf"></p>
        </div> -->
    <div class="Grid-cell--xs-12">
      <hr class="floatCenter">
      <h2 class="alignCenter title_ready">Ready?</h2>
      <a href="javascript:void(0)" class="start button alignCenter floatCenter animated infinite pulse">Start the
        game</a>
    </div>
  </section>
</div>

<div class="instructions hide floatCenter">
  <div class="group">
    <div class="device-error">
      <h2 class="alignCenter">Device not supported</h2>
      <p class="alignCenter floatCenter">Mobile devices aren’t supported yet. I’m working hard on the mobile version so
        it should be available soon. Check out the <a href="/">Better Web Type</a> course in the meantime and I promise
        to keep you updated. <br><br>—Matej</p>
    </div>
    <div class="steps">
      <h2 class="alignCenter floatCenter how_to_play">How to play</h2>
      <div class="step-one step">
        <img src="/assets/img/triangle/01-bwt-instructions.jpg" width="250">
        <h2>01</h2>
        <p><em>Adjust the property in question: line-height, font size or line width. Each level will only ask you to
            adjust one.</em></p>
      </div>
      <div class="step-two step">
        <img src="/assets/img/triangle/02-bwt-instructions.jpg" width="250">
        <h2>02</h2>
        <p><em>Check your score at the end of each level. The triangle will tell you how far off you are and in which
            direction.</em></p>
      </div>
      <div class="step-three step">
        <img src="/assets/img/triangle/03-bwt-instructions.jpg" width="250">
        <h2>03</h2>
        <p><em>There are 10 levels in total, with different maximum scores: 5, 10 and 15. Total maximum score
            is&nbsp;100.</em></p>
      </div>
    </div>
  </div>
  <a href="javascript:void(0)" class="start button alignCenter floatCenter">Ok, let’s go</a>
</div>

<section class="level">
  <section class="sidebar">
    <h2>Level <span id="level-id"></span><span class="total-levels">/ 10</span></h2>
    <p id="instructions"></p>
    <ul class="parameters">
      <li class="lh"><span class="param-label">Line-height:</span> <input type="text" class="param-values" id="lh"
          readonly></li>
      <li class="fs"><span class="param-label">Font size:</span> <input type="text" class="param-values" id="fs"
          readonly></li>
      <li class="lw"><span class="param-label">Line width:</span> <input type="text" class="param-values" id="lw"
          readonly></li>
      <li><span class="param-label">Typeface:</span> <input type="text" id="font" class="param-values" readonly></li>
    </ul>
    <p class="totalScore"><span id="userScore">0</span>/<span class="outOf">0</span><br /><span
        class="score-label">Score</span></p>
  </section>

  <section class="paragraph">
    <p class="result">Baskerville, designed in 1754, is most known for its crisp edges, high contrast and generous
      proportions. The typeface was heavily influenced by the processes of the Birmingham-bred John Baskerville, a
      master type-founder and printer, who owed much
      of his career to his beginnings. As a servant in a clergyman’s house, it was his employer that discovered his
      penmanship talents and sent him to learn writing. Baskerville was illiterate but became very interested in
      calligraphy, and practised handwriting
      and inscription that was later echoed in strokes and embellishments in his printed typeface.</p>
  </section>
  <div id="check">
    <a href="javascript:void(0)" class="button alignCenter">Check</a>
  </div>
</section>

<section class="score curtain f-smoothing">
  <div class="score-content">
    <div class="triangle-wrapper anim anim-1 fadeInUpBig">
      <svg height="148" width="300">
        <text class="lw" opacity=".4" font-family="Helvetica-Bold, Helvetica" font-size="14" font-weight="bold"
          fill="#FFF">
          <tspan x="117" y="142">Line width</tspan>
        </text>
        <text class="lh" opacity=".4" font-family="Helvetica-Bold, Helvetica" font-size="14" font-weight="bold"
          fill="#FFF">
          <tspan x="224" y="74">Line-height</tspan>
        </text>
        <text class="fs" opacity=".4" font-family="Helvetica-Bold, Helvetica" font-size="14" font-weight="bold"
          fill="#FFF">
          <tspan x="14" y="74">Font-size</tspan>
        </text>
      </svg>
      <svg height="148" width="300" id="triangleId">
        <filter id="blur-filter" x="-13" y="-13" width="300" height="148">
          <feGaussianBlur in="SourceGraphic" stdDeviation="6" />
        </filter>
        <polygon id="triangleBg" points="150,23 207,111 93,111" style="fill:none;stroke-width:13" stroke="#353D44" />
        <polygon id="triangle" points="150,23 207,111 93,111" style="fill:none;stroke-width:13" stroke="#F15D64">
          <animate id="triangleAnimation" begin="indefinite" attributeName="points" dur="300ms"
            from="150,23 207,111 93,111" to="" />
        </polygon>
      </svg>
    </div>
    <hr class="anim anim-2 fadeInUpBig floatCenter" />
    <h1 class="anim anim-3 fadeInUpBig"></h1>
    <p class="scoreMsg anim anim-4 fadeInUpBig floatCenter big-font"></p>
    <p id="score" class="anim anim-5 fadeInUpBig floatCenter big-font"></p>
    <div id="next-level">
      <a href="javascript:void(0)" class="button alignCenter floatCenter">Next Level</a>
    </div>
    <div class="tweet-score">
      <p class="floatCenter">I scored <span id="final-score"></span>/<span class="outOf"></span> in the Perfect
        Paragraph game. Can you do better than me? <a href="https://twitter.com/search?q=%23BetterWebType&src=typd"
          target="_blank">#BetterWebType</a></p>
    </div>
    <div id="tryAgain">
      <a href="javascript:void(0)">Try again?</a>
    </div>
    <div class="book-msg floatCenter"></div>
    <div class="arrow hide"><img src="/assets/img/triangle/arrow-down.png" width="25"></div>
    <div class="form-triangle">
      <form class="form-join-bwt cf" id="theForm">
        <input type="hidden" name="u" value="d2aaa3155cfda7e76c73817a0">
        <input type="hidden" name="id" value="b76a5d78ca">

        <div id="mergeTable" class="mergeTable cf">
          <div class="mergeRow dojoDndItem mergeRow-email" id="mergeRow-0">
            <div class="field-group">
              <div class="form-name">
                <label for="name">First name:</label>
                <input type="text" autocapitalize autocorrect="off" name="FNAME" id="FNAME" size="25" value=""
                  placeholder="e.g. Gordon" required>
              </div>
              <div class="form-surname">
                <label for="surname">Last name:</label>
                <input type="text" autocapitalize autocorrect="off" name="LNAME" id="LNAME" size="25" value=""
                  placeholder="e.g. Freeman" required>
              </div>
              <div class="cf">
                <label for="email">Email address:</label>
                <input type="email" autocapitalize="off" autocorrect="off" name="EMAIL" id="EMAIL" size="25" value=""
                  placeholder="e.g. gordon@gmail.com" required>
              </div>
              <div class="mc-field-group input-group">
                <div class="label">I’m a&hellip; (optional)</div>
                <ul class="ima">
                  <li><input type="radio" value="1" name="INTEREST" class="interest"
                      id="mce-group[47261]-47261-0"><label for="mce-group[47261]-47261-0">Web designer</label></li>
                  <li class="radio-developer"><input type="radio" value="2" name="INTEREST" class="interest"
                      id="mce-group[47261]-47261-1"><label for="mce-group[47261]-47261-1">Web developer</label></li>
                </ul>
              </div>
            </div>
          </div>
        </div>

        <div class="hide">
          <label class="radio" for="MERGE8-0"><input type="radio" data-dojo-type="dijit/form/RadioButton"
              name="SENDCOURSE" id="MERGE8-0" value="No" class="av-radio" checked="checked"><span>No</span></label>
          <label class="radio" for="MERGE8-1"><input type="radio" data-dojo-type="dijit/form/RadioButton"
              name="SENDCOURSE" id="MERGE8-1" value="Yes" class="av-radio"><span>Yes</span></label>
          <label class="radio" for="MERGE9-0"><input type="radio" data-dojo-type="dijit/form/RadioButton"
              name="PLAYEDTRI" id="MERGE9-0" value="No" class="av-radio"><span>No</span></label>
          <label class="radio" for="MERGE9-1"><input type="radio" data-dojo-type="dijit/form/RadioButton"
              name="PLAYEDTRI" id="MERGE9-1" value="Yes" class="av-radio" checked="checked"><span>Yes</span></label>
          <select class="select-small" id="JOINED" name="JOINED">
            <option value="Course">Course</option>
            <option value="Blog">Blog</option>
            <option value="Triangle" selected>Triangle</option>
          </select>
          <input type="text" name="ATTEMPT" id="ATTEMPT" size="25" value="">
          <input type="text" name="TOPSCORE" id="TOPSCORE" size="25" value="">
          <input type="text" name="b_d2aaa3155cfda7e76c73817a0_4a267a6451" tabindex="-1" value="">
        </div>

        <div class="submit_container clear cf">
          <!-- <input type="submit" class="button" name="submit-form" value="Start the course"> -->
          <button id="myButton" class="button" name="submit">Join &amp; enter competition</button>
        </div>
      </form>
      <div id="msg" class="hide">
        <div id="msgContent"></div>
      </div>
    </div>
  </div>
</section>

<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<link href="https://fonts.googleapis.com/css?family=Merriweather" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Libre+Baskerville" rel="stylesheet">